[unixODBC-support] unixODBC and Informix

Don_Arnett at ned.uscourts.gov Don_Arnett at ned.uscourts.gov
Fri Jul 18 20:01:15 BST 2008


Yes, I've followed up on that last year when I hit this problem.  IBM does
not have a Linux version of that patch.

I can get the Informix drivers to work fine with PHP w/PDO, but it's not a
very portable solution and other courts would like to use my program.

> There is workaround exist, while linking(your application) if you use
> libifgls.so library (i.e -lifgls) then you will not see this issue.

I don't remember that you provide source code for unixODBC.  Can it be
compiled with libifgls?

Don Arnett
Programmer/Analyst
U.S. Courts - District of Nebraska
don_arnett at ned.uscourts.gov
1-402-661-7394


                                                                           
             Nick Gorham                                                   
             <nick.gorham at easy                                             
             soft.com>                                                  To 
             Sent by:                  Support for the unixODBC project    
             unixodbc-support-         <unixodbc-support at easysoft.com>     
             bounces at easysoft.                                          cc 
             com                                                           
                                                                   Subject 
                                       Re: [unixODBC-support] unixODBC and 
             07/09/2008 09:39          Informix                            
             AM                                                            
                                                                           
                                                                           
             Please respond to                                             
              Support for the                                              
             unixODBC project                                              
             <unixodbc-support                                             
              @easysoft.com>                                               
                                                                           
                                                                           




Don_Arnett at ned.uscourts.gov wrote:

>I tried "ldd /opt/IBM/informix/lib/esql/igo4a304.so".  The first time I
>got an error about execute permissions.  After changing the permissions on

>igo4a304.so to 755, the output is:
>
>
>
>>ldd /opt/IBM/informix/lib/esql/igo4a304.so
>>
>>
>        linux-gate.so.1 =>  (0xffffe000)
>        libc.so.6 => /lib/libc.so.6 (0xb7e73000)
>        /lib/ld-linux.so.2 (0x80000000)
>
>
>I'm assuming that your 'strace' suggestion was related to why
>/etc/unixODBC/odbc.ini is being used rather than /etc/odbc.ini.  At this
>point, I don't care which odbc.ini is being used, as long as I know which
>one to use.
>
>
>Regarding the igo4a304.so failure to load, the strace returned:
>
>

Looking on Google, I found this

http://groups.google.com/group/comp.databases.informix/browse_thread/thread/7fab4514f23faab8/006fc30b382e1ce1?lnk=raot


Which contains...

> What version of unix ODBC DM are you using? Is it >= 2.2.11? As enough
> error message is not provided...Are you getting something of  "ERROR
> -11048: UNABLE TO LOAD TRANSLATION SHARED LIBRARY (DLL)" ..If so there is
> high possibility that you are hitting Informix ODBC defect 175992. Ask
> your Tech Support for the patch.
>
> There is workaround exist, while linking(your application) if you use
> libifgls.so library (i.e -lifgls) then you will not see this issue.
>
--
Nick Gorham
Easysoft Limited
http://www.easysoft.com, http://www.unixODBC.org

_______________________________________________
unixODBC-support mailing list
unixODBC-support at easysoft.com
http://mail.easysoft.com/mailman/listinfo/unixodbc-support





More information about the unixODBC-support mailing list